%undefine __libtoolize
%define objprelink 0
%set_compress_method skip

Name: cdbakeoven
Version: 1.8.9
Release: alt4

Group: Archiving/Cd burning
Summary: CD-R-RW graphical CD-creation-copying tool for the KDE
URL: http://cdbakeoven.sourceforge.net
License: GPL
Icon:	cdbakeoven.xpm
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Source0: %name-%version.tar.bz2
Patch1: cdbakeoven-1.8.9-fix3.2.patch

Requires: cdparanoia >= IIIa9.7 cdrecord >= 1.9 cdrecord-cdda2wav >= 1.9 mkisofs >= 1.13
Requires: kdelibs-gcc_compiled = %__gcc_version_base
# added by buildreq on Thu Dec 26 2002
BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++
BuildRequires: kde-settings kdelibs-devel libGLU libXft libart_lgpl-devel
BuildRequires: libarts-devel libexpat libfontconfig libjpeg-devel liblcms
BuildRequires: libmng libpng-devel libqt3-devel libstdc++-devel libtiff-devel zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif


%description
CD Bake Oven (CDBO) is a graphical CD-creation/copying tool designed which aims 
to combine the power and stability of great command line utilities with a 
contemporary, easy-to-use user interface. CDBO enables you to create data or music 
CDs in the most intuitive matter, while enabling you to control every aspect of
the process. It is built on top of very well known cdrecord, mkisofs, cdda2wav and 
cdparanoia , encapsulating most of the options those utilities provide. This makes 
creating professional quality media as easy as making a few mouse clicks.

%prep
%setup -q
%patch1 -p1
[ -f makefile.cvs ] && make -f makefile.cvs

%build
%configure \
    --disable-rpath

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install

cp $RPM_BUILD_ROOT%_iconsdir/hicolor/32x32/apps/cdbakeoven.png $RPM_BUILD_ROOT%_iconsdir/cdbakeoven.png
#cp /usr/src/RPM/SOURCES/cdbakeoven.xpm $RPM_BUILD_ROOT%_iconsdir/cdbakeoven.xpm

# create menus
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name "Applications/Archiving/Cd burning"  %buildroot/%_datadir/applnk/Utilities/cdbakeoven.desktop %buildroot/%_menudir/%name
#
kdedesktop2mdkmenu.pl %name ".hidden" %buildroot/%_datadir/applnk/Settings/CDBakeOven/cdboaudioopt.desktop %buildroot/%_menudir/cdboaudioopt kde
kdedesktop2mdkmenu.pl %name ".hidden" %buildroot/%_datadir/applnk/Settings/CDBakeOven/cdboburnopt.desktop %buildroot/%_menudir/cdboburnopt kde
kdedesktop2mdkmenu.pl %name ".hidden" %buildroot/%_datadir/applnk/Settings/CDBakeOven/cdbocdromdevices.desktop %buildroot/%_menudir/cdbocdromdevices kde
kdedesktop2mdkmenu.pl %name ".hidden" %buildroot/%_datadir/applnk/Settings/CDBakeOven/cdbodefaultopt.desktop %buildroot/%_menudir/cdbodefaultopt kde
kdedesktop2mdkmenu.pl %name ".hidden" %buildroot/%_datadir/applnk/Settings/CDBakeOven/cdboinfo.desktop %buildroot/%_menudir/cdboinfo kde
kdedesktop2mdkmenu.pl %name ".hidden" %buildroot/%_datadir/applnk/Settings/CDBakeOven/cdboisoopt.desktop %buildroot/%_menudir/cdboisoopt kde

#(cd $RPM_BUILD_ROOT
#mkdir -p ./usr/lib/menu
#cat > ./usr/lib/menu/%name <<EOF
#?package(%name): \
#command="/usr/bin/cdbakeoven" \
#title="CD Bake Oven" \
#longtitle="KDE-2 CD recording tools" \
#needs="x11" \
#icon="%name.png" \
#section="Applications/Archiving/Cd burning"
#EOF
#)

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_libdir/kde3/*.so
%_libdir/kde3/*.la
%_datadir/apps/%name
%_datadir/applnk/Settings/CDBakeOven/*.desktop
%_datadir/applnk/Utilities/*.desktop
%_datadir/mimelnk/application/*.desktop
%_datadir/mimelnk/inode/*.desktop
%_menudir/*
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png
#doc %dir %_datadir/doc/HTML/en/cdbakeoven
%doc README INSTALL COPYING AUTHORS

%changelog
* Thu Dec 26 2002 Sergey V Turchin <zerg@altlinux.ru> 1.8.9-alt4
- fix menu item
- some spec cleanup

* Mon Sep 16 2002 Sergey V Turchin <zerg@altlinux.ru> 1.8.9-alt3
- rebuild with gcc 3.2

* Mon Sep 02 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.8.9-alt2
- 1.8.9

* Tue Jun 11 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.8.9-alt1
- 1.8.9

* Wed Jan 23 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.7.9-alt1
- 1.7.1

* Sat Dec 29 2001 Yehuda Ben-Yosef <yuda66@yes.ru> 1.7.1-alt1
- 1.7.1

- specfile cleanup



